<?php
/* Faila mērķis:
Pārbauda e-pasta pieejamību */
include 'db_conn.php';
header('Content-Type: application/json');
// Pārbauda vai tika nosūtīts e-pasts
if (isset($_POST['email'])) {
    $email = trim($_POST['email']);
 // SQL vaicājums pārbauda vai e-pasts jau eksistē DB
    $stmt = $conn->prepare("SELECT id FROM users WHERE email = ?");
    $stmt->bind_param("s", $email);
    $stmt->execute();
    $result = $stmt->get_result();
    // Pārbauda, vai e-pats neeksistē datubāzē
    if ($result->num_rows > 0) {
        // Ja aizņemts, atgriež JSON un paziņo ka e-pats ir aizņemts
        echo json_encode(['taken' => true]);
    } else {
        // E-pasts nav aizņemts
        echo json_encode(['taken' => false]);
    }
} else {
    echo json_encode(['taken' => false]);
}
$conn->close();
?>
